ru.bitel.oss.kernel.entity.common.bean.filter

## Class FilterEntityAttr

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

- Direct Known Subclasses:
    FilterEntityAttrAddress, FilterEntityAttrDate, FilterEntityAttrEmail, FilterEntityAttrHouse, FilterEntityAttrInt, FilterEntityAttrList, FilterEntityAttrText

      @JsonTypeInfo(use=NAME,
                    include=PROPERTY,
                    property="type")
       @JsonSubTypes.Type(name="Address",value=FilterEntityAttrAddress.class) @JsonSubTypes.Type(name="Date",value=FilterEntityAttrDate.class) @JsonSubTypes.Type(name="House",value=FilterEntityAttrHouse.class) @JsonSubTypes.Type(name="Int",value=FilterEntityAttrInt.class) @JsonSubTypes.Type(name="List",value=FilterEntityAttrList.class) @JsonSubTypes.Type(name="Text",value=FilterEntityAttrText.class) @JsonSubTypes.Type(name="Email",value=FilterEntityAttrEmail.class) @JsonSubTypes.Type(name="MultiList",value=FilterEntityAttrMultiList.class)
      public abstract class FilterEntityAttr
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterEntityAttr()`
    `FilterEntityAttr(java.util.Set<java.lang.Integer> entitySpecAttrIds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getEntitySpecAttrIds()`
    `void` | `setEntitySpecAttrIds(java.util.Set<java.lang.Integer> entitySpecAttrIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterEntityAttr

          public FilterEntityAttr()

    - #### FilterEntityAttr

          public FilterEntityAttr(java.util.Set<java.lang.Integer> entitySpecAttrIds)

  - ### Method Detail

    - #### getEntitySpecAttrIds

          public java.util.Set<java.lang.Integer> getEntitySpecAttrIds()

    - #### setEntitySpecAttrIds

          public void setEntitySpecAttrIds(java.util.Set<java.lang.Integer> entitySpecAttrIds)